=== debian/tests/control ===
Test-Command: redis-cli INFO
