=== debian/watch ===
version=3
http://redis.io/download http://download.redis.io/releases/redis-(.*).tar.gz
