## redis 3.2.0

=== debian/changelog ===
redis (2:3.2.0-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 3.2.0
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Fri, 06 May 2016 19:02:18 +0000

redis (2:3.0.7-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 3.0.7
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Sat, 30 Jan 2016 00:13:31 +0000

redis (2:3.0.6-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 3.0.6
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Mon, 21 Dec 2015 23:59:57 +0000

redis (2:3.0.5-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 3.0.5
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 15 Oct 2015 08:24:15 -0700

redis (2:3.0.4-1~dotdeb+8.1) stable; urgency=high

  * Imported Upstream version 3.0.4
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Tue, 08 Sep 2015 07:38:18 -0700

redis (2:3.0.3-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 3.0.3
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Fri, 17 Jul 2015 03:52:28 -0700

redis (2:3.0.2-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 3.0.2

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 04 Jun 2015 10:25:07 -0700

redis (2:3.0.1-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 3.0.1

 -- Guillaume Plessis <gui@dotdeb.org>  Tue, 05 May 2015 10:47:19 -0700

redis (2:3.0.0-1~dotdeb+jessie.1) stable; urgency=medium

  * Imported Upstream version 3.0.0
  * Sync with Debian
  * generic Dockerfile to ease Debian packaging

 -- Guillaume Plessis <gui@dotdeb.org>  Fri, 03 Apr 2015 17:58:04 -0700

redis (2:2.8.19-1~dotdeb.1) stable; urgency=medium

  * Imported Upstream version 2.8.19
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Tue, 16 Dec 2014 09:58:09 -0800

redis (2:2.8.17-1~dotdeb.1) stable; urgency=medium

  * Imported Upstream version 2.8.17

 -- Guillaume Plessis <gui@dotdeb.org>  Fri, 19 Sep 2014 14:33:20 -0700

redis (2:2.8.15-1~dotdeb.1) stable; urgency=medium

  * Imported Upstream version 2.8.15
  * Sync redis.conf with upstream

 -- Guillaume Plessis <gui@dotdeb.org>  Fri, 12 Sep 2014 18:01:09 -0700

redis (2:2.8.14-1~dotdeb.1) stable; urgency=medium

  * Imported Upstream version 2.8.14
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Fri, 05 Sep 2014 12:55:26 -0700

redis (2:2.8.13-1~dotdeb.1) stable; urgency=low

  * Rebuilt for Dotdeb
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Mon, 14 Jul 2014 20:09:42 -0700
