## redis 3.2.1

=== debian/changelog ===
redis (2:3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Sync debian/redis.conf

 -- Chris Lamb <lamby@debian.org>  Sat, 18 Jun 2016 20:13:44 +0100

redis (2:3.2.0-3) unstable; urgency=medium

  * Skip logging tests as not all architectures support it yet.
  * Tidy patches.

 -- Chris Lamb <lamby@debian.org>  Mon, 16 May 2016 10:28:51 +0100

redis (2:3.2.0-2) unstable; urgency=medium

  * Update redis.conf.

 -- Chris Lamb <lamby@debian.org>  Sat, 07 May 2016 11:05:52 +0100

redis (2:3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update 03-use-system-jemalloc.diff.
  * Install redis-check-rdb (was: redis-check-dump).
  * Bump Standards-Version to 3.9.8.

 -- Chris Lamb <lamby@debian.org>  Fri, 06 May 2016 23:55:02 +0100

redis (2:3.0.7-4) unstable; urgency=medium

  * Actually specify a value for LimitNOFILE.

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Apr 2016 11:08:34 +0100

redis (2:3.0.7-3) unstable; urgency=medium

  * Update .travis.yml.
  * Update redis-benchmark manpage. Thanks to Joe Doherty (docapotamus).
  * Add LimitNOFILE to allow a higher number of open file descriptors
    <https://github.com/lamby/pkg-redis/issues/8>. Thanks to @alexber220.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Apr 2016 15:23:06 +0100

redis (2:3.0.7-2) unstable; urgency=medium

  * Correct SOURCE_DATE_EPOCH patch to invert conditional. Thanks to Reiner
    Herrmann <reiner@reiner-h.de>.

 -- Chris Lamb <lamby@debian.org>  Tue, 02 Feb 2016 10:53:26 +0100

redis (2:3.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Actually drop unused 05-reproducible-build.diff file.
  * Move to https Vcs-Git URI.

 -- Chris Lamb <lamby@debian.org>  Fri, 29 Jan 2016 14:56:43 +0100

redis (2:3.0.6-2) unstable; urgency=medium

  * Ensure that we always properly cleanup test processes (Closes: #808862)
  * Add explicit Build-Depends on procps.
    - Drop explicit pkill.
  * Use SOURCE_DATE_EPOCH instead of dpkg-parsechangelog so patch can go
    upstream.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Jan 2016 11:38:14 +0000
