=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: redis
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-systemd (>= 1.5),
  libjemalloc-dev [linux-any],
+ procps,
  tcl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://redis.io/
-Vcs-Git: git://github.com/lamby/pkg-redis.git
+Vcs-Git: https://github.com/lamby/pkg-redis.git
 Vcs-Browser: https://github.com/lamby/pkg-redis
 
 Package: redis-server
