## redis 3.2.2

=== debian/changelog ===
redis (2:3.2.2-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 3.2.2

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 28 Jul 2016 14:23:43 +0000

redis (2:3.2.1-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 3.2.1

 -- Guillaume Plessis <gui@dotdeb.org>  Sat, 18 Jun 2016 00:33:32 +0000
