=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: redis
 Section: database
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Guillaume Plessis <gui@dotdeb.org>
 Build-Depends:
  debhelper (>= 9),
  dh-systemd (>= 1.5),
- libjemalloc-dev [linux-any],
  procps,
  tcl
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://redis.io/
-Vcs-Git: https://github.com/lamby/pkg-redis.git
+Vcs-Git: git://github.com/lamby/pkg-redis.git
 Vcs-Browser: https://github.com/lamby/pkg-redis
 
 Package: redis-server
