## redis 3.2.3

=== debian/changelog ===
redis (2:3.2.3-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 3.2.3
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Wed, 03 Aug 2016 17:42:22 +0000
