=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# Avoid race conditions in upstream testsuite. (#830500)
 	./runtest
 	./runtest-sentinel
 endif
