## redis 3.2.4

=== debian/changelog ===
redis (2:3.2.4-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 3.2.4
  * Patches refresh for 3.2.4

 -- Guillaume Plessis <gui@dotdeb.org>  Tue, 27 Sep 2016 17:16:46 +0000
