## redis 3.2.5

=== debian/changelog ===
redis (2:3.2.5-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 3.2.5
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Wed, 26 Oct 2016 15:55:33 +0000
