## redis 3.2.6

=== debian/changelog ===
redis (3:3.2.6-3+deb9u16) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * CVE-2025-32023: An authenticated user may have used a specially-crafted
    string to trigger a stack/heap out-of-bounds write during hyperloglog
    operations, potentially leading to remote code execution. Installations
    that used Redis' ACL system to restrict hyperloglog "HLL" commands are
    unaffected by this issue. (Closes: #1108975)
  * CVE-2025-48367: An unauthenticated connection could have caused repeated IP
    protocol errors, leading to client starvation and ultimately become a
    Denial of Service (DoS) attack. (Closes: #1108981)
  * Correct naming/ordering of some existing patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Jul 2025 09:00:09 -0700

redis (3:3.2.6-3+deb9u15) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2025-21605: Limit output buffer for unauthenticated clients

 -- Adrian Bunk <bunk@debian.org>  Sat, 10 May 2025 22:28:19 +0300

redis (3:3.2.6-3+deb9u14) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2024-46981: LUA garbage collector code execution

 -- Adrian Bunk <bunk@debian.org>  Sun, 19 Jan 2025 15:20:41 +0200

redis (3:3.2.6-3+deb9u13) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2022-35977: integer overflows in SETRANGE and SORT
  * CVE-2022-36021: string pattern matching DoS
  * CVE-2023-25155: SRANDMEMBER integer overflow
  * CVE-2024-31228: unbounded pattern matching DoS
  * CVE-2024-31449: Lua bit library stack overflow

 -- Adrian Bunk <bunk@debian.org>  Wed, 27 Nov 2024 02:42:32 +0200

redis (3:3.2.6-3+deb9u12) stretch-security; urgency=high

  * CVE-2023-45145: On startup, Redis began listening on a Unix socket before
    adjusting its permissions to the user-provided configuration. If a
    permissive umask(2) was used, this created a race condition that enabled,
    during a short period of time, another process to establish an otherwise
    unauthorized connection. (Closes: #1054225)
  * Rename an existing patch to include a numerical prefix.

 -- Chris Lamb <lamby@debian.org>  Mon, 23 Oct 2023 13:39:14 +0100

redis (3:3.2.6-3+deb9u11) stretch-security; urgency=high

  * Permit tests to fail; they are segfaulting on the ELTS build server.

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Apr 2023 13:36:01 +0100

redis (3:3.2.6-3+deb9u10) stretch-security; urgency=high

  * CVE-2023-28856: Authenticated users could have used the HINCRBYFLOAT
    command to create an invalid hash field that would have crashed the Redis
    server on access. (Closes: #1034613)

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Apr 2023 13:14:07 +0100

redis (3:3.2.6-3+deb9u9) stretch-security; urgency=high

  * No-change upload to rebuild in stretch environment.

 -- Chris Lamb <lamby@debian.org>  Mon, 08 Nov 2021 09:24:33 +0000

redis (3:3.2.6-3+deb9u8) stretch-security; urgency=high

  * CVE-2021-41099: Integer to heap buffer overflow handling certain string
    commands and network payloads, when proto-max-bulk-len is manually
    configured to a non-default, very large value.
  * CVE-2021-32762: Integer to heap buffer overflow issue in redis-cli and
    redis-sentinel parsing large multi-bulk replies on some older and less
    common platforms.
  * CVE-2021-32687: Integer to heap buffer overflow with intsets, when
    set-max-intset-entries is manually configured to a non-default, very
    large value.
  * CVE-2021-32675: Denial Of Service when processing RESP request payloads
    with a large number of elements on many connections.
  * CVE-2021-32672: Random heap reading issue with Lua Debugger.
  * CVE-2021-32626: Specially crafted Lua scripts may result with Heap
    buffer overflow.

 -- Chris Lamb <lamby@debian.org>  Fri, 05 Nov 2021 10:59:30 +0000

redis (3:3.2.6-3+deb9u7) stretch-security; urgency=high

  * No-change upload to rebuild in stretch environment. (Closes: #993129)

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Aug 2021 17:15:23 +0100

redis (3:3.2.6-3+deb9u6) stretch-security; urgency=high

  * Correct backport of patch for CVE-2021-32761 to prevent build failure.
    Thanks to Adrian Bunk for the heads up.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Aug 2021 14:37:06 +0100

redis (3:3.2.6-3+deb9u5) stretch-security; urgency=high

  * CVE-2021-32761: Fix several integer overflow issues with BITFIELD commands
    on 32-bit systems. (Closes: #991375)

 -- Chris Lamb <lamby@debian.org>  Thu, 22 Jul 2021 11:08:25 +0100

redis (3:3.2.6-3+deb9u4) stretch-security; urgency=high

  * CVE-2021-21309: Fix a series of integer overflow issues on 32-bit systems.
    (Closes: #983446)

 -- Chris Lamb <lamby@debian.org>  Thu, 25 Feb 2021 17:21:59 +0000

redis (3:3.2.6-3+deb9u3) stretch-security; urgency=high

  * CVE-2019-10192: Fix two heap buffer overflows in the Hyperloglog
    functionality. (Closes: #931625)

 -- Chris Lamb <lamby@debian.org>  Wed, 10 Jul 2019 14:36:26 -0300

redis (3:3.2.6-3+deb9u2) stretch; urgency=medium

  * Correct RunTimeDirectory -> RuntimeDirectory typo in systemd .service
    files. (Closes: #850534, #880474)

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Jun 2018 19:12:58 +0200

redis (3:3.2.6-3+deb9u1) stretch-security; urgency=high

  * CVE-2018-11218, CVE-2018-11219: Backport patches to fix multiple heap
    corruption and integer overflow vulnerabilities. (Closes: #901495)

 -- Chris Lamb <lamby@debian.org>  Thu, 14 Jun 2018 15:08:27 +0200

redis (3:3.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/gbp.conf to reflect new repository layout.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Dec 2016 09:23:20 +0000

redis (3:3.2.5-6) unstable; urgency=medium

  * Add missing Depends on lsb-base for /lib/lsb/init-functions usage in
    redis-sentinel's initscript too. See #838966 for the parallel change to
    redis-server's initscript.


