=== debian/changelog ===
redis (3:3.2.8-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Mar 2017 12:55:09 +0000

redis (3:3.2.8-2) unstable; urgency=medium

  * Avoid conflict between RuntimeDirectory and tmpfiles.d(5) both attempting
    to create /run/redis with differing permissions.

    This prevents an installation error on Jessie where /run/redis was first
    being created by the tmpfiles.d(5) mechanism and then subsequently via the
    RuntimeDirectory directive. Due to a bug in Jessie's systemd, this caused a
    package installation error as systemd was too strict about permissions if
    the target already exists: <https://github.com/systemd/systemd/pull/896>

    The redis-{server,sentinel} daemon would actually start successfully a few
    milliseconds later due to the Restart=always directive.

    We work around this this by dropping the tmpfiles.d(5) handling and moving
    entirely to RuntimeDirectory{,Mode}; we are not using any special handling
    requiring tmpfiles.d(5) and we appear to need RuntimeDirectory anyway for
    #846350. (Closes: #856116)

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Mar 2017 12:53:14 +0000

redis (3:3.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 13 Feb 2017 10:15:53 +1300

redis (3:3.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Feb 2017 09:27:05 +1300

redis (3:3.2.6-6) unstable; urgency=medium

  * Use --cpu-list 0 (not --cpu-list 1) to ensure compilation on single-CPU
    machines. (Closes: #852347)

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Jan 2017 11:59:02 +1300

redis (3:3.2.6-5) unstable; urgency=medium

  * Re-add taskset calls to try and avoid FTBFS due to parallelism in upstream
    test suite.

 -- Chris Lamb <lamby@debian.org>  Mon, 23 Jan 2017 13:24:39 +1300

redis (3:3.2.6-4) unstable; urgency=medium

  * Expand the documentation in redis-server.service and redis-sentinel
    regarding the default hardening options.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Jan 2017 11:21:33 +1100

redis (3:3.2.6-3) unstable; urgency=medium

  * Don't ship a "duplicate" redis-server binary in redis-tools as
    /usr/bin/redis-check-rdb (it checks argv to change its behaviour) by
    replacing it with a symlink. Found by <https://dedup.debian.net/>.

 -- Chris Lamb <lamby@debian.org>  Wed, 11 Jan 2017 17:04:33 +0000

redis (3:3.2.6-2) unstable; urgency=medium

  * Rename RunTimeDirectory -> RuntimeDirectory in .service files.
    (Closes: #850534)
  * Refresh all patches with pq import -> pq export.
  * Tidy all patches, updating descriptions and use Pq-Topic to organise.

 -- Chris Lamb <lamby@debian.org>  Sat, 07 Jan 2017 18:06:14 +0000

redis (3:3.2.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 18 Dec 2016 09:59:19 +0000

redis (3:3.2.5-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 29 Nov 2016 16:42:08 +0000

redis (3:3.2.5-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Thu, 10 Nov 2016 12:01:35 +0000

redis (3:3.2.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Nov 2016 16:42:50 +0000

redis (3:3.2.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Oct 2016 17:43:43 +0100

redis (3:3.2.3-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 11 Sep 2016 20:51:52 +0100

redis (2:3.2.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 09 Aug 2016 10:34:24 +0100

redis (2:3.2.1-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Jul 2016 08:49:42 -0400

redis (2:3.2.1-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 27 Jul 2016 23:52:42 -0400

redis (2:3.2.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 29 Jun 2016 14:15:07 +0200

redis (2:3.2.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Jun 2016 11:51:23 +0100

redis (2:3.2.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    - Drop debian/patches/05-CVE-2015-4335.patch.

 -- Chris Lamb <lamby@debian.org>  Sat, 14 May 2016 09:22:01 +0100

redis (2:2.8.17-1+deb8u2) stable; urgency=medium

  * Backport debian/redis-server.tmpfile from unstable so that a valid runtime
    directory is created when running under systemd. This ensures that there is
    a secure and sensible location for the UNIX socket. (Closes: #803233)

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Oct 2015 18:53:34 +0000

redis (2:2.8.17-1+deb8u1) jessie-security; urgency=high

  * Fix Lua sandbox bypass by disabling Lua bytecode loading
    as per CVE-2015-4335

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 05 Jun 2015 15:12:14 +0200
