=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: redis
 Section: database
 Priority: optional
-Maintainer: Guillaume Plessis <gui@dotdeb.org>
+Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-systemd (>= 1.5),
+ libjemalloc-dev [linux-any],
  procps,
  tcl
 Standards-Version: 3.9.8
@@ -16,6 +17,7 @@
 Architecture: any
 Depends:
  adduser,
+ lsb-base (>= 3.2-14),
  redis-tools (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
@@ -47,6 +49,7 @@
 Package: redis-sentinel
 Architecture: any
 Depends:
+ lsb-base (>= 3.2-14),
  redis-server (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
