=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,8 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Avoid race conditions in upstream testsuite. (#830500)
-	./runtest || true
-	./runtest-sentinel || true
+	taskset --cpu-list 0 ./runtest
+	taskset --cpu-list 0 ./runtest-sentinel
 endif
 
 override_dh_compress:
