=== debian/tests/control ===
Test-Command: redis-cli INFO && redis-benchmark -P 10
