## redis 3.2.9

=== debian/changelog ===
redis (2:3.2.9-1~dotdeb+8.1) stable; urgency=medium

  [ Guillaume Plessis ]
  * Imported Upstream version 3.2.9

 -- Guillaume Plessis <gui@dotdeb.org>  Mon, 22 May 2017 16:47:53 +0000

redis (2:3.2.8-1~dotdeb+8.1) stable; urgency=medium

  [ Guillaume Plessis ]
  * Imported Upstream version 3.2.8

 -- Guillaume Plessis <gui@dotdeb.org>  Wed, 15 Feb 2017 01:57:13 +0000

redis (2:3.2.7-1~dotdeb+8.1) stable; urgency=medium

  [ Guillaume Plessis ]
  * Imported Upstream version 3.2.7

 -- Guillaume Plessis <gui@dotdeb.org>  Tue, 31 Jan 2017 18:36:56 +0000

redis (2:3.2.6-1~dotdeb+8.1) stable; urgency=medium

  [ Guillaume Plessis ]
  * Imported Upstream version 3.2.6
  * (Last?) sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 08 Dec 2016 20:23:54 +0000
