## redis 3.2.10

=== debian/changelog ===
redis (2:3.2.10-1~dotdeb+8.1) oldstable; urgency=medium

  [ Guillaume Plessis ]
  * Stick to the 3.2 branch
  * Imported Upstream version 3.2.10

 -- Guillaume Plessis <gui@dotdeb.org>  Fri, 28 Jul 2017 17:40:31 +0000
