## redis 3.2.11

=== debian/changelog ===
redis (2:3.2.11-1~dotdeb+8.1) oldstable; urgency=medium

  [ Guillaume Plessis ]
  * New upstream version 3.2.11

 -- Guillaume Plessis <gui@dotdeb.org>  Fri, 22 Sep 2017 18:07:39 +0000
