## redis 4.0.1

=== debian/changelog ===
redis (4:4.0.1-7) unstable; urgency=medium

  * Don't let sentinel tests fail the build; they use too many timers to be
    useful and/or meaningful. (Closes: #872075)

 -- Chris Lamb <lamby@debian.org>  Mon, 14 Aug 2017 07:35:38 -0700

redis (4:4.0.1-6) unstable; urgency=medium

  * Don't install completions to
    /usr/share/bash-completion/completions/debian/bash_completion/.

 -- Chris Lamb <lamby@debian.org>  Sun, 13 Aug 2017 21:29:07 -0700

redis (4:4.0.1-5) unstable; urgency=medium

  * Tidy debian/tests/control.
  * Drop even more tests with timing issues.

 -- Chris Lamb <lamby@debian.org>  Sun, 13 Aug 2017 13:02:52 -0700

redis (4:4.0.1-4) unstable; urgency=medium

  * Split tests into separate files.
  * Tighten systemd/seccomp hardening.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Aug 2017 12:53:50 -0400

redis (4:4.0.1-3) unstable; urgency=medium

  * Drop yet more non-deterministic tests.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Aug 2017 21:01:03 -0400

redis (4:4.0.1-2) unstable; urgency=medium

  * Skip yet more non-deterministic replication tests that rely on timing.
    (Closes: #857855)

 -- Chris Lamb <lamby@debian.org>  Tue, 25 Jul 2017 18:57:39 +0100

redis (4:4.0.1-1) unstable; urgency=medium

  * New upstream version.
  * Install 00-RELEASENOTES as the upstream changelog.
  * Use "dh_auto_clean" over "clean" target.

 -- Chris Lamb <lamby@debian.org>  Mon, 24 Jul 2017 16:27:51 +0100

redis (4:4.0.0-3) unstable; urgency=medium

  * Add -latomic to LDFLAGS to attempt to avoid FTBFS on mips{,el}.
  * Allow ulimit calls to fail in sysvinit scripts to avoid issues when
    running in a containerised environment. See
    <https://github.com/travis-ci/travis-ci/issues/7941>.

 -- Chris Lamb <lamby@debian.org>  Sun, 23 Jul 2017 15:42:18 +0100

redis (4:4.0.0-2) unstable; urgency=medium

  * Make /usr/bin/redis-server in the main redis-server package a symlink to
    /usr/bin/redis-check-rdb in the redis-tools package.

    Whilst this prevents a wasteful duplication of a binary, it moreover
    ensures there are no duplicate debug symbols which was preventing the
    simultaneous installation of the redis-server-dbgsym and
    redis-tools-dbgsym packages.

    Note that this results in the peculiar (and possibily confusing) situation
    where the main package does not have the main binary anymore, or indeed
    any binaries whatsoever. See also the previous parallel attempt at a
    symlink changes in 3.2.6-3 which was reverted in 3.2.8-3. Thanks to Adrian
    Bunk for the report. (Closes: #868551)

 -- Chris Lamb <lamby@debian.org>  Sun, 16 Jul 2017 22:38:57 +0100

redis (4:4.0.0-1) unstable; urgency=medium

  * New upstream major release.
  * Bump Standards-Version to 4.0.0.
  * Refresh, renumber and reorganise patches.

 -- Chris Lamb <lamby@debian.org>  Fri, 14 Jul 2017 22:00:59 +0100

redis (3:3.2.9-1) unstable; urgency=medium

  * New upstream minor bugfix release.
  * Specify <!nocheck> for test-related Build-Depends.
  * Bump debhelper compatibility level to 10.

 -- Chris Lamb <lamby@debian.org>  Thu, 18 May 2017 12:32:02 +0200

redis (3:3.2.8-3) unstable; urgency=medium

  * Revert the creation of the redis-tools:/usr/bin/redis-check-rdb ->
    redis-server:/usr/bin/redis-server symlink to avoid a dangling symlink if
    only the redis-tools binary package is installed.

    This was a regression since 3:3.2.6-3 where we attempted to avoid shipping
    duplicate file; the redis-server binary changes behaviour based on the
    contents of argv.

    One alternative would be to ship a symlink in redis-server but that would
    mean users wishing to check RDB databases would have to install the server
    package, so reverting to shipping a duplicate file seems justified.
    (Closes: #858519)

 -- Chris Lamb <lamby@debian.org>  Thu, 23 Mar 2017 12:00:22 +0000
