=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-systemd (>= 1.5),
+ dpkg-dev (>= 1.17.14),
  libjemalloc-dev [linux-any],
- procps,
- tcl
-Standards-Version: 3.9.8
+ procps <!nocheck>,
+ tcl <!nocheck>
+Standards-Version: 4.0.0
 Homepage: http://redis.io/
 Vcs-Git: https://github.com/lamby/pkg-redis.git
 Vcs-Browser: https://github.com/lamby/pkg-redis
