=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export CFLAGS CPPFLAGS LDFLAGS
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -ldl
+export DEB_LDFLAGS_MAINT_APPEND = -ldl -latomic
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -29,12 +29,17 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Avoid race conditions in upstream testsuite. (#830500)
 	taskset --cpu-list 0 ./runtest
-	taskset --cpu-list 0 ./runtest-sentinel
+	# Sentinel integration tests use too many timers to be reliable or
+	# meaningful.
+	taskset --cpu-list 0 ./runtest-sentinel || true
 endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f src/release.h
 
 override_dh_compress:
 	dh_compress -Xredis-trib.rb
 
-clean:
-	dh $@
-	rm -f src/release.h
+override_dh_installchangelogs:
+	dh_installchangelogs --keep 00-RELEASENOTES
