=== debian/tests/control ===
Tests: 0001-redis-cli

Tests: 0002-benchmark
